# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: VirtualMerchant
    class: XC\VirtualMerchant\Model\Payment\Processor\VirtualMerchant
    type: C
    countries: [CA, PR, US]
    translations: [{code: en, name: 'Converge (Virtual merchant)'}]
    settings: [{name: merchantId}, {name: userId}, {name: pin}, {name: prefix, value: xcart}, {name: mode}]
XLite\Model\LanguageLabel:
  - name: 'Merchant ID'
    translations: [{code: en, label: 'Merchant ID'}]
  - name: 'User ID'
    translations: [{code: en, label: 'User ID'}]
  - name: PIN
    translations: [{code: en, label: PIN}]
  - name: 'Prefix for order id'
    translations: [{code: en, label: 'Prefix for order id'}]
  - name: 'Test/Live/Demo mode'
    translations: [{code: en, label: 'Test/Live/Demo mode'}]
  - name: 'VirtualMerchant settings notice'
    translations: [{code: en, label: '<ol style="padding-left: 20px; list-style-type: decimal;"><li>Log in to your Convergepay merchant account.</li><li>Go to the “Setting >> Payment Fields” page.</li><li>Click to edit the “Account Data/MICR Data” (ssl_account_data) field:<ul style="padding-left: 20px; list-style-type: circle;"><li>Tick the option “Changeable on Payment Form”.</li><li>Click “Update”.</li></ul></li><li>Go to the “Setting >> Hosting Payments” page.</li><li>For the “Payment Page“ option, click the “Setup“ button.</li><li>Go to “Response Page >> Redirect URL“.<ul style="padding-left: 20px; list-style-type: circle;"><li>Select the “POST“ option.</li><li>Set “Redirect URL” to: <strong style="word-break:break-word">{{redirect_url}}</strong></li><li>Click “Save”.</li></ul></li><li>Go to “Response Page >> Decline Page“.<ul style="padding-left: 20px; list-style-type: circle;"><li>Select the “POST“ option.</li><li>Set “Button Link” to: <strong style="word-break:break-word">{{button_link}}</strong></li><li>Tick the check-box “Include Transaction Data”.</li><li>Click “Save”.</li></ul></li></ol>'}]
